Last Comment Bug 747871 - Enable IDN for .fr/ .re/ .pm/ .tf/ .yt/ .wf domains
: Enable IDN for .fr/ .re/ .pm/ .tf/ .yt/ .wf domains
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: mozilla15
Assigned To: Gervase Markham [:gerv]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 03:26 PDT by mozillaidn
Modified: 2012-05-29 11:40 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
IDN - enabled TLDs.pdf (352.17 KB, application/pdf)
2012-04-23 03:26 PDT, mozillaidn
no flags Details
Patch v.1 (2.05 KB, patch)
2012-04-24 09:14 PDT, Gervase Markham [:gerv]
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description mozillaidn 2012-04-23 03:26:28 PDT
Created attachment 617440 [details]
IDN - enabled TLDs.pdf

User Agent: Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; WOW64; Trident/5.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E; BRI/2)

Steps to reproduce:

Please find attached our bug.

Best regards
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-04-23 13:06:46 PDT
I don't think this is security-sensitive.
Comment 2 Gervase Markham [:gerv] 2012-04-24 03:31:23 PDT
No, it's not.

The registry is here:
http://www.afnic.fr/

The technical spec document is here:
http://www.afnic.fr/medias/documents/afnic-idn-technical-
specifications.pdf

This all seems in order.

Gerv
Comment 3 Gervase Markham [:gerv] 2012-04-24 09:14:42 PDT
Created attachment 617897 [details] [diff] [review]
Patch v.1

Here's the patch.

Gerv
Comment 4 Gervase Markham [:gerv] 2012-04-24 09:16:47 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/46647a0711e9

Gerv
Comment 6 Yann Brelière 2012-05-03 10:08:08 PDT
Could this be backported to aurora or beta, now that the idn are in effect for these tld?
Comment 7 Gervase Markham [:gerv] 2012-05-04 02:37:02 PDT
Comment on attachment 617897 [details] [diff] [review]
Patch v.1

[Approval Request Comment]
Regression caused by (bug #): <none>
User impact if declined: IDN domain names do not display correctly for the domains in question (including the well-used .fr)
Testing completed (on m-c, etc.): Yes
Risk to taking this patch (and alternatives if risky): Low risk; many similar patches taken in the past
String changes made by this patch: None.

Gerv
Comment 8 Alex Keybl [:akeybl] 2012-05-06 18:56:31 PDT
Comment on attachment 617897 [details] [diff] [review]
Patch v.1

[Triage Comment]
Near-zero risk - approved for Aurora 14 and Beta 13.

Note You need to log in before you can comment on or make changes to this bug.